Subject: [Roll] FW: New Version Notification for draft-ietf-roll-turnon-rfc8138-08.txt

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 8 Jul 2020 15:50:22 +0000

Dear all:

After discussion with the group (many thanks!), we decided to simplify the turnon draft by dismissing the flows that try to accept non-capable RANs as RALs.

So the scenarios that turn those nodes into leaves and such were removed, and with that a number of Alvaro's concerns.
This also means that all nodes must be migrated and that non-capable nodes will be excluded. 

I also changed text to address Alvaro's other concerns. This is a bit extensive so I decided to publish as a checkpoint.
I'll go through Alvaro's mail again, and completely redo my answer to align with what was actually done.

You all keep safe;

Pascal

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: mercredi 8 juillet 2020 17:42
To: Pascal Thubert (pthubert) <[email-masked]>; Li Zhao (liz3) <[email-masked]>
Subject: New Version Notification for draft-ietf-roll-turnon-rfc8138-08.txt

A new version of I-D, draft-ietf-roll-turnon-rfc8138-08.txt
has been successfully submitted by Pascal Thubert and posted to the IETF repository.

Name:		draft-ietf-roll-turnon-rfc8138
Revision:	08
Title:		A RPL DODAG Configuration Option for the 6LoWPAN Routing Header
Document date:	2020-07-08
Group:		roll
Pages:		9
URL:            https://www.ietf.org/internet-drafts/draft-ietf-roll-turnon-rfc8138-08.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-roll-turnon-rfc8138/
Htmlized:       https://tools.ietf.org/html/draft-ietf-roll-turnon-rfc8138-08
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-roll-turnon-rfc8138
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-turnon-rfc8138-08

Abstract:
   This document updates RFC 8138 and RFC 6550 by defining a bit in the
   RPL DODAG Configuration Option to indicate whether RFC 8138
   compression is used within the RPL Instance, and specify the behavior
   of RFC 8138-capable nodes when the bit is set and reset.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat